Subject: Re: bug#55290: Broken link to Geiser User Manual

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 Jun 2022 11:19:33 -0400

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello Greg,
>
> Greg Hogan <[email-masked]> writes:
>
>> At [1] the link in "see Introduction in Geiser User Manual" points to [2]
>> but should link to [3].
>>
>> [1] https://guix.gnu.org/manual/en/html_node/The-Perfect-Setup.html
>> [2] http://geiser.nongnu.org/Introduction.html#Introduction
>> [3] https://geiser.nongnu.org/geiser_1.html#Introduction
>
> Thanks for reporting this; as Ludovic hinted on #guix, this appears to
> be a discrepancy between the file layout produced by makeinfo (used by
> Guix) vs texi2html (used by Geiser).  This problem is briefly mentioned
> in info "(texinfo)HTML Xref Mismatch".
>
> It seems 'makeinfo' should be preferred these days, since it's now
> become enough configurable and appears more actively maintained.  I've
> sent a patch to Geiser to do the switch, if they accept it this problem
> should be resolved [0].
>
> [0]  https://gitlab.com/emacs-geiser/geiser/-/merge_requests/8
>
> To be followed.

Fixed.  The Geiser documentation is now generated via 'makeinfo' rather
than 'texi2html'.

Thanks for the report!

Closing.

Maxim